Bug 70148 - xcin crashed when inputing certain characters
xcin crashed when inputing certain characters
Product: Red Hat Public Beta
Classification: Retired
Component: xcin (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Leon Ho
Depends On:
  Show dependency treegraph
Reported: 2002-07-30 15:15 EDT by Fortepianissimo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-06 18:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/chinese/xcin/xcinrc (7.56 KB, text/plain)
2002-07-30 15:16 EDT, Fortepianissimo
no flags Details

  None (edit)
Description Fortepianissimo 2002-07-30 15:15:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020718

Description of problem:
xcin crasahed when with some garbage messages when inputing the characters (in
traditional Chinese) 受南  (must be entered together) using
bimsphone@big5 mode.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.export LANG=zh_TW.Big5
2.run 'xcin'
3.hit ctrl-alt-6 (bimsphone@big5 mode)
4.enter 受南

Actual Results:  xcin quit with some garbage output.

Additional info:

please see the attached /etc/chinese/xcin/xcinrc.

Relevant packages:

Comment 1 Fortepianissimo 2002-07-30 15:16:00 EDT
Created attachment 67704 [details]
Comment 2 Leon Ho 2002-07-31 00:17:04 EDT
I cannot reproduce this on latest Limbo version. 
- in LANG=zh_TW.Big5, run xcin 
- ctrl-space to activiate, ctrl-alt-6, and enter "受南" in gnome-terminal. 
Is there any other special inputs can crash xcin? 
Comment 3 Fortepianissimo 2002-07-31 22:04:11 EDT
how about 紅帽  (RedHat in Chinese)?

BTW, I rebuilt db4, libtabe and xcin with -O6 -march=i686; here is my /etc/rpmrc:

buildarchtranslate:i686: i686
optflags: i686 -O6 -march=i686

is it relevant?
Comment 4 Fortepianissimo 2002-07-31 22:13:15 EDT
ok I reverted the installed RPMS back to the i386 rpms on the disk - still
crashing on the same input.
Comment 5 Leon Ho 2002-08-01 00:03:38 EDT
I still cannot reprocdure it with entering red hat in chinese together.  
Please see if that procdure will/will not crash:  
- vi /etc/sysconfig/i18n and change the global LANG to zh_TW.Big5  
- relogin  
- startx  
- run gedit 
- ctrl-space and input 
Comment 6 Fortepianissimo 2002-08-01 11:27:33 EDT
Ok I changed LANG in /etc/sysconfig/i18n to zh_TW.Big5. Since I didn't install
gedit I used galeon for testing (the previous version worked fine with galeon).
startx and fired up galeon, hitting ctrl-space (default is bimsphone mode),
entering either of the examples, xcin crashed (showed "seg fault" in Chinese).
Comment 7 Fortepianissimo 2002-08-22 16:21:25 EDT
looks like libtabe is the culprit - I rebuilt the latest xcin
(xcin-2.5.3.pre3-5) with libtabe-0.2.4a-13 instead of libtabe-0.2.6-1, and
everything is fine.
Comment 8 Leon Ho 2002-08-22 20:34:32 EDT
Thanks for your information. We cannot debug or modify anything if we cannot reproduce on our 
side. We have try to enter two characters together on several boxes and could not reproduce the 
Can you able to give me the full keystrokes (every key you typed to xcin) you entered that will 
crash your xcin? 
Also it will be great if you can attach the backtrace after segfault. Thanks.
Comment 9 Fortepianissimo 2002-10-06 18:38:25 EDT
Sorry that I haven't had time to reply on this one. It turned out RH8.0 works 
perfectly - no problem anymore. Thanks.
Comment 10 Leon Ho 2002-10-06 19:40:29 EDT
I have included another fix before for another segfault problem. It may come out  
as same problem as yours. In anyway, closing this entry. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.